<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
    <title>Aula-02</title>
</head>

<body>
    <div class="container">
        <h2>@Todo-List</h2>
        <ul class="list-group mt-3"></ul>

        <form class="row g-3">
            <div class="mb-3 mt-4">
                <label class="form-label">Nome Todo</label>
                <input type="text" class="form-control">
            </div>

            <div class="col-auto">
                <button type="submit" class="btn btn-primary mb-3">Adicionar</button>
            </div>
        </form>
    </div>

    <script>
        const form = document.querySelector('form')
        const arrayList = []

        form.addEventListener("submit", (event) => {
            event.preventDefault()

            const ulParent = document.querySelector("ul")

            const nameItem = document.querySelector("input")

            arrayList.push(nameItem.value)
         
            for (let index = 0; index < arrayList.length; index++) {
                const name = arrayList[index];

                const primaryliChildElement = document.createElement("li")
                primaryliChildElement.className = "list-group-item"
                primaryliChildElement.innerHTML = `${index} - ${name}`
                ulParent.append(primaryliChildElement)
            }

            console.log(arrayList.length)

    

     

        })

        window.addEventListener("load", () => {



            // const arrayList = []

            // for (let index = 0; index < 10; index++) {

            //     arrayList.push(primaryliChildElement)

            // }



        }) 
    </script>

</body>

</html>